@()(implicit lang:Lang)

<table class="table table-condensed" ng-table="agentTable" show-filter="true" ng-controller="ccAgentViewController">

    <tr ng-repeat="agent in $data">
        <td header-class="tableTitle" data-title="'@Messages("ccmanager.agent.number")'" sortable="'number'" filter="{ 'number': 'text' }"> <span class="T{{agent.state}} badge">{{agent.number}}</span></td>
        <td header-class="tableTitle" data-title="'@Messages("ccmanager.agent.firstName")'" sortable="'firstName'" filter="{ 'firstName': 'text' }"> {{agent.firstName}}</td>
        <td header-class="tableTitle" data-title="'@Messages("ccmanager.agent.lastName")'" sortable="'lastName'" filter="{ 'lastName': 'text' }"> {{agent.lastName}}</td>
        <td class="actionIcon">@agentListenAction()</td>
        <td header-class="tableTitle" data-title="'@Messages("ccmanager.agent.state")'" sortable="'state'" class="T{{agent.state}}" filter="{ 'state': 'select' }" filter-data="states($column)"><span class="T{{agent.state}}"> {{agent.state}}</span></td>
        <td header-class="tableTitle" data-title="'@Messages("ccmanager.agent.status")'" sortable="'status'" filter="{ 'status': 'text' }"> {{agent.status}} </td>
        <td header-class="tableTitle" data-title="'@Messages("ccmanager.agent.since")'" sortable="'timeInState'"> {{agent.timeInState.toClockString()}}</td>
        <td header-class="tableTitle" data-title="'@Messages("ccmanager.agent.phoneNb")'" sortable="'phoneNb'" filter="{ 'phoneNb': 'text' }"> {{agent.phoneNb}}</td>
    </tr>
</table>